#
# spec file for package kmplot
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kmplot
Version:        17.03.80
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Mathematical Function Plotter
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kparts-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mathematical function plotter for KDE.

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_plugindir}/kmplotpart.so
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.kmplot.appdata.xml
%{_kf5_bindir}/kmplot
%{_kf5_iconsdir}/hicolor/*/apps/kmplot.*
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/kmplot.kcfg
%{_kf5_applicationsdir}/org.kde.kmplot.desktop
%{_kf5_servicesdir}/kmplot_part.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*.xml
%{_datadir}/kxmlgui5/kmplot/
%{_kf5_htmldir}/en/kmplot
%{_mandir}/*/kmplot.1%{ext_man}

%changelog
